LibreOffice: XKeyHandler Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XKeyHandler Interface Referencepublished

makes it possible to receive keyboard events. More...

`import "XKeyHandler.idl";`

Inheritance diagram for XKeyHandler:

## Public Member Functions
boolean | keyPressed ([in] com::sun::star::awt::KeyEvent aEvent)
| This function is called by the broadcaster, an com::sun::star::awt::XExtendedToolkit for instance, after a key has been pressed but before it is released.
boolean | keyReleased ([in] com::sun::star::awt::KeyEvent aEvent)
| This function is called by the broadcaster, an com::sun::star::awt::XExtendedToolkit for instance, after a key has been pressed and released.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive keyboard events.

This key handler is similar to com::sun::star::awt::XKeyListener. But this handler is easier to use and more flexible for many purposes.

This handler is usually added via com::sun::star::awt::XUserInputInterception to the controller from com::sun::star::frame::XModel. While com::sun::star::awt::XKeyListener needs to be added to exactly the correct widget.

Also this handler is more flexible then com::sun::star::awt::XKeyListener, because it optionally allows the consumption of key events. If a key event is consumed by one handler both the following handlers, with respect to the list of key handlers of the broadcaster, and a following handling by the broadcaster will not take place.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ keyPressed()

boolean keyPressed | ( | [in] com::sun::star::awt::KeyEvent | aEvent | ) |

This function is called by the broadcaster, an com::sun::star::awt::XExtendedToolkit for instance, after a key has been pressed but before it is released.

The return value decides about whether other handlers will be called and a handling by the broadcaster will take place.

Consume the event if the action performed by the implementation is mutually exclusive with the default action of the broadcaster or, when known, with that of other handlers.

Consuming this event does not prevent the pending key-release event from being broadcasted.

Parameters

  aEvent | The key event informs about the pressed key.

Returns
  When FALSE is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when TRUE is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

## ◆ keyReleased()

boolean keyReleased | ( | [in] com::sun::star::awt::KeyEvent | aEvent | ) |

This function is called by the broadcaster, an com::sun::star::awt::XExtendedToolkit for instance, after a key has been pressed and released.

The return value decides about whether other handlers will be called and a handling by the broadcaster will take place.

Consume the event if the action performed by the implementation is mutually exclusive with the default action of the broadcaster or, when known, with that of other handlers.

Parameters

  aEvent | The key event informs about the pressed key.

Returns
  When FALSE is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when TRUE is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XKeyHandler.idl